Intereting Posts
Как реализовать панель инструментов Android на панели инструментов Ошибка «AndroidManifest.xml не объявляет Java-пакет» Анимация виджета для домашних животных Android OnItemClickListener не работает с элементом ListView, содержащим кнопку Распространение (и обновление) корпоративного приложения для Android, которое будет использоваться только внутри компании Отключить инкрементную сборку для kapt Google Play Services 5.0.77 Исключение с десериализацией простой XML-структуры Можно ли позвонить в Google Hangouts с помощью кода? Android WebView не загружает файл JavaScript, но Android Browser загружает его в порядке EditText теряет содержимое при прокрутке в ListView ContentLoader не обновляется после изменения базы данных Как я могу уменьшить объемный вид, когда отображается пользовательский вид Прокрутите макет обновления в Android-фрагменте В чем разница между активным сканированием и пассивным сканированием?

Gradle error: Минимальная поддерживаемая версия Gradle – 3.3. Текущая версия – 3.2

Когда я сегодня обновляю Android Studio, пишу: Минимальная поддерживаемая версия Gradle – 3.3. Текущая версия 3.2. Как я могу решить эту проблему?

Вот мой build.gradle

// Top-level build file where you can add configuration options common to all sub-projects/modules. buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:2.3.0' // NOTE: Do not place your application dependencies here; they belong // in the individual module build.gradle files } } allprojects { repositories { jcenter() } } task clean(type: Delete) { delete rootProject.buildDir } 

И второй build.gradle:

 apply plugin: 'com.android.application' android { compileSdkVersion 25 buildToolsVersion "25.0.0" defaultConfig { applicationId "com.tosi.ex" minSdkVersion 14 targetSdkVersion 25 versionCode 1 versionName "1.0" multiDexEnabled true testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner" } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } sourceSets { main { assets.srcDirs = ['src/main/assets', 'src/main/assets/'] } } } repositories { mavenCentral() } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', { exclude group: 'com.android.support', module: 'support-annotations' }) compile 'com.android.support:appcompat-v7:25.2.1' compile 'com.android.support:design:25.2.1' compile 'com.github.ksoichiro:android-observablescrollview:1.5.0' compile 'com.android.support:support-v4:25.2.1' compile 'com.android.support:mediarouter-v7:25.2.1' compile 'com.google.android.gms:play-services:10.2.1' compile 'com.android.support:cardview-v7:25.2.1' compile 'com.squareup.picasso:picasso:2.5.2' compile 'uk.co.chrisjenx:calligraphy:2.2.0' testCompile 'junit:junit:4.12' } 

gradle-wrapper.properties:

 #Tue Mar 28 17:26:02 CEST 2017 distributionBase=GRADLE_USER_HOME distributionPath=wrapper/dists zipStoreBase=GRADLE_USER_HOME zipStorePath=wrapper/dists distributionUrl=https\://services.gradle.org/distributions/gradle-3.2-all.zip 

Когда я изменил свойства distributionUrl на 3.3.all.zip, он застрял в освежении. Я не знаю, что делать с этой проблемой. Пожалуйста, помогите мне. Большое спасибо.

Solutions Collecting From Web of "Gradle error: Минимальная поддерживаемая версия Gradle – 3.3. Текущая версия – 3.2"

Вам необходимо загрузить последнюю версию с https://gradle.org/releases, после чего перейдите в файл / проектную структуру / проект и введите новую версию в версию gradle

Убедитесь, что вы используете упаковку графы по умолчанию в Open File> Settings> Build, Execution, Deployment> Build Tools> Gradle.

Ваш gradle-wrapper.properties должен выглядеть так:

 #DATE distributionBase=GRADLE_USER_HOME distributionPath=wrapper/dists zipStoreBase=GRADLE_USER_HOME zipStorePath=wrapper/dists distributionUrl=https\://services.gradle.org/distributions/gradle-3.3-all.zip 

Открыть gradle-wrapper.properties

Измените версию там

Обновите Android Studio и Gradle. Изменение моей обновленной версии gradle в файле build.gradle сработало для меня.

Прежде всего, вам нужно скачать файл здесь https://gradle.org/releases

Разархивируйте файл и скопируйте папку что-то вроде этого gradle-3.3 (если версия равна 3,3) и пропустите его до C: \ Android \ Android Studio \ gradle

Теперь откройте Android Studio и в левом верхнем углу Откройте файл> Настройки> Сборка, выполнение, развертывание> Gradle

Теперь дайте путь к папке gradle-3.3 в Gradle Home

В моем случае у меня отсутствовал файл setting.gradle .

Если у вас более низкая версия и проблема с импортом проекта с высокой степенью градиента и вы хотите запустить проект без обновления градиента,

Откройте свой файл gradle (Project) и сделайте небольшое изменение

  dependencies { /*Higher Gradle version*/ // classpath 'com.android.tools.build:gradle:3.0.0-alpha4' /*Add this line and remove the Higher one*/ classpath 'com.android.tools.build:gradle:2.3.3' } 

[2.3.3 стоит ваша версия градиента]

В вашем случае измените версию на 3.2 или 3.2.0 что-то вроде этого

Я просто gradle-wrapper.properties в gradle-wrapper.properties и изменил distributionUrl чтобы решить эту проблему.